<?php
/**
 * The template for displaying comments
 */
if ( post_password_required() ) {
    return;
}
?>

<div id="comments" class="comments-area">

    <?php
        // If comments are closed and there are comments, let's leave a little note, shall we?
        if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
    ?>
        <p class="no-comments"><?php _e( 'Comments are closed.', 'webmac' ); ?></p>
    <?php endif; ?>

    <?php
        comment_form( array(
            'title_reply' => 'Leave comment',
            'title_reply_before' => '<h2 id="reply-title" class="comment-reply-title">',
            'title_reply_after'  => '</h2>'
        ) );
    ?>

    <?php if ( have_comments() ) : ?>
        <h2 class="comments-title">
            <?php
                $comments_number = get_comments_number();
                printf(
                    /* translators: 1: number of comments, 2: post title */
                    _nx(
                        '%1$s comment',
                        '%1$s comments',
                        $comments_number,
                        'comments title',
                        'webmac'
                    ),
                    number_format_i18n( $comments_number ),
                    get_the_title()
                );
            ?>
        </h2>

        <ol class="comment-list">
            <?php
                wp_list_comments( array(
                    'style'       => 'ol',
                    'short_ping'  => true,
                    'avatar_size' => 42,
                    'max_depth' => 3
                ) );
            ?>
        </ol><!-- .comment-list -->

    <?php endif; // Check for have_comments(). ?>

</div><!-- .comments-area -->
