<?php

function webmac_theme_customize( $wp_customize ) {

    $wp_customize->remove_section('static_front_page');

    /***
    ** Logo
    ***/
    $wp_customize->add_setting('webmac_logo', array(
        'capability'     => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'webmac_logo', array(
        'label'    => __( 'Upload Logo', 'webmac_logo' ),
        'description' => 'Will be displayed in preloader (default Apple logo)',
        'section'  => 'title_tagline',
        'settings' => 'webmac_logo',
    ) ) );



    /***
    ** Themes
    ***/
    $wp_customize->add_section('webmac_theme', array(
        'title'    => __('WebMac Theme', 'webmac'),
        'description' => '',
        'priority' => 120,
    ));

    $wp_customize->add_setting('webmac_theme_options[color_scheme]', array(
        'default'        => 'theme_light',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
    ));

    $wp_customize->add_control('webmac_color_scheme', array(
        'label'      => __('Choose Theme', 'webmac'),
        'section'    => 'webmac_theme',
        'settings'   => 'webmac_theme_options[color_scheme]',
        'type'       => 'radio',
        'choices'    => array(
            'theme_light' => 'Light',
            'theme_dark' => 'Dark'
        ),
    ));


    /***
    ** Settings
    ***/
    $wp_customize->add_section('webmac_settings', array(
        'title'    => __('WebMac Settings', 'webmac'),
        'description' => '',
        'priority' => 120
    ));

    // Preloader
    $wp_customize->add_setting('webmac_settings[preloader]', array(
        'default'    => '1',
        'capability' => 'edit_theme_options',
        'type'       => 'option'
    ));

    $wp_customize->add_control('webmac_preloader', array(
        'settings' => 'webmac_settings[preloader]',
        'label'    => __('Show Preloader'),
        'section'  => 'webmac_settings',
        'type'     => 'checkbox',
    ));


    // News
    $wp_customize->add_setting('webmac_settings[sidebar]', array(
        'default'    => '1',
        'capability' => 'edit_theme_options',
        'type'       => 'option'
    ));

    $wp_customize->add_control('webmac_sidebar', array(
        'settings' => 'webmac_settings[sidebar]',
        'label'    => __('Show Sidebar'),
        'section'  => 'webmac_settings',
        'type'     => 'checkbox'
    ));


    // Search
    $wp_customize->add_setting('webmac_settings[search]', array(
        'default'    => '1',
        'capability' => 'edit_theme_options',
        'type'       => 'option'
    ));

    $wp_customize->add_control('webmac_search', array(
        'settings' => 'webmac_settings[search]',
        'label'    => __('Show Search Bar'),
        'section'  => 'webmac_settings',
        'type'     => 'checkbox'
    ));


    // Greeting Alert
    $wp_customize->add_setting('webmac_settings[greeting]', array(
        'default'    => '1',
        'capability' => 'edit_theme_options',
        'type'       => 'option'
    ));

    $wp_customize->add_control('webmac_greeting', array(
        'settings' => 'webmac_settings[greeting]',
        'label'    => __('Show Greeting Alert'),
        'section'  => 'webmac_settings',
        'type'     => 'checkbox'
    ));

    // Lang
    $wp_customize->add_setting('webmac_settings[lang]', array(
        'default'    => '1',
        'capability' => 'edit_theme_options',
        'type'       => 'option'
    ));

    $wp_customize->add_control('webmac_lang', array(
        'settings' => 'webmac_settings[lang]',
        'label'    => __('Show Language in header'),
        'section'  => 'webmac_settings',
        'type'     => 'checkbox'
    ));


    // Time
    $wp_customize->add_setting('webmac_settings[time]', array(
        'default'    => '1',
        'capability' => 'edit_theme_options',
        'type'       => 'option'
    ));

    $wp_customize->add_control('webmac_time', array(
        'settings' => 'webmac_settings[time]',
        'label'    => __('Show Time'),
        'section'  => 'webmac_settings',
        'type'     => 'checkbox'
    ));


    // RTL
    $wp_customize->add_setting('webmac_settings[rtl]', array(
        'capability' => 'edit_theme_options',
        'type'       => 'option'
    ));

    $wp_customize->add_control('webmac_rtl', array(
        'settings' => 'webmac_settings[rtl]',
        'label'    => __('Enable RTL'),
        'section'  => 'webmac_settings',
        'type'     => 'checkbox'
    ));


    // Twitter Feed in News
    $wp_customize->add_setting('webmac_settings[twitter_username]', array(
        'capability'     => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control('webmac_twitter_username', array(
        'label'         => __('Twitter username (without @)', 'webmac'),
        'description'   => __('Leave field blank if you don\'t want use Twitter Feed plugin in News sections'),
        'section'       => 'webmac_settings',
        'settings'      => 'webmac_settings[twitter_username]'
    ));

    // Google Map API
    $wp_customize->add_setting('webmac_settings[google_map_api]', array(
        'capability'     => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control('webmac_google_map_api', array(
        'label'         => __('Google Map API key', 'webmac'),
        'description'   => __('If you want to show Google Map in special window, you should create Google Map API Key and enter here. <a href="https://developers.google.com/maps/documentation/embed/get-api-key" target="_blank">How to get API key</a>'),
        'section'       => 'webmac_settings',
        'settings'      => 'webmac_settings[google_map_api]'
    ));



    /***
    ** Background image
    ***/
    $wp_customize->add_section('webmac_slider_background', array(
        'title'    => __('WebMac BG image', 'webmac'),
        'priority' => 120,
    ));


    // Background color
    $wp_customize->add_setting('webmac_slider_background[bg_color]', array(
        'default'           => '#3e3e3e',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'webmac_bg_color', array(
        'label'    => __('Background Color', 'webmac'),
        'section'  => 'webmac_slider_background',
        'settings' => 'webmac_slider_background[bg_color]'
    )));


    // Background image
    $wp_customize->add_setting('webmac_slider_background[bg_image]', array(
        'capability'     => 'edit_theme_options',
        'type'           => 'option'
    ));

    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'webmac_bg_upload', array(
        'label'         => __('Background image', 'webmac'),
        'description'   => __('Will be used when slider is off'),
        'section'       => 'webmac_slider_background',
        'settings'      => 'webmac_slider_background[bg_image]'
    )));

}
add_action( 'customize_register', 'webmac_theme_customize' );
