<?php

/***
** Shortcodes
***/

// Contacts Form
function webmac_show_contact_form( $atts ) {
    $a = shortcode_atts( array(
        'success' => 'Thanks for your question, we reply you soon!',
        'danger' => 'Fill up the form, please!',
        'error' => 'Something go wrong. Try again later!'
    ), $atts );

    ob_start();
    include(locate_template("windows_content/contact_form.php"));
    return ob_get_clean();
}
add_shortcode( 'webmac_contact_form', 'webmac_show_contact_form' );


// Google Map
function webmac_show_map( $atts  ) {
    $a = shortcode_atts( array(
        'lat' => 'something',
        'long' => 'something else',
        'zoom' => '13',
        'title' => 'Your company title',
        'address' => 'New York, Street 121',
        'worktime' => '10:00 - 21:00',
        'phone' => '+987123654',
        'email' => 'info@mail.com'
    ), $atts );

    $map = '<div class="map" id="map" data-map-latitude="'. $a['lat'] . '" data-map-longitude="'. $a['long'] . '" data-map-zoom="'. $a['zoom'] . '" data-map-title="'. $a['title'] . '" data-map-address="'. $a['address'] . '" data-map-work="'. $a['worktime'] . '" data-map-phone="'. $a['phone'] . '" data-map-email="'. $a['email'] . '"></div>';

    return $map;
}
add_shortcode( 'webmac_map', 'webmac_show_map' );


// Reviews List
function webmac_show_reviews() {
    ob_start();
    include(locate_template("windows_content/reviews.php"));
    return ob_get_clean();
}
add_shortcode( 'webmac_reviews', 'webmac_show_reviews' );


// Reviews Add Form
function webmac_add_reviews( $atts ) {
    $a = shortcode_atts( array(
        'success' => 'Thanks for your review!',
        'danger' => 'Fill up the form, please!',
        'error' => 'Something go wrong. Try again later!'
    ), $atts );

    ob_start();
    include(locate_template("windows_content/reviews_form.php"));
    return ob_get_clean();
}
add_shortcode( 'webmac_reviews_add', 'webmac_add_reviews' );



// Team
function webmac_show_team($atts, $content) {
    $team = '<div class="team">' . do_shortcode($content) . '</div>';

    return $team;
}
add_shortcode( 'webmac_team', 'webmac_show_team' );

function webmac_show_team_member($atts, $content) {
    $a = shortcode_atts( array(
        'photo' => 'https://placehold.it/150',
        'name' => 'John Doe',
        'job' => 'Manager',
        'email' => 'john@email.com',
        'phone' => '+9897213134'
    ), $atts );

    ob_start();
    include(locate_template("windows_content/team_member.php"));
    return ob_get_clean();
}
add_shortcode( 'webmac_team_member', 'webmac_show_team_member' );


// Services
function webmac_show_services($atts, $content) {
    $services = '<div class="services">' . do_shortcode($content) . '</div>';

    return $services;
}
add_shortcode( 'webmac_services', 'webmac_show_services' );

function webmac_show_services_item($atts, $content) {
    $a = shortcode_atts( array(
        'photo' => 'https://placehold.it/400x600',
        'title' => 'Services title',
        'price' => '$90'
    ), $atts );

    ob_start();
    include(locate_template("windows_content/services_item.php"));
    return ob_get_clean();
}
add_shortcode( 'webmac_services_item', 'webmac_show_services_item' );


function webmac_services_form( $atts ) {
    $a = shortcode_atts( array(
        'success' => 'Thanks for your request, we will call you back soon!',
        'danger' => 'Fill up the form, please!',
        'error' => 'Something go wrong. Try again later!'
    ), $atts );

    ob_start();
    include(locate_template("windows_content/request_form.php"));
    return ob_get_clean();
}
add_shortcode( 'webmac_services_form', 'webmac_services_form' );


// Tabs
function webmac_tabs_nav($atts, $content) {
    $tabs_nav = '<div class="tabs__nav" data-tabs role="tablist">' . do_shortcode($content) . '</div>';

    return $tabs_nav;
}
add_shortcode( 'webmac_tabs_nav', 'webmac_tabs_nav' );


function webmac_tabs_nav_item($atts, $content) {
    $a = shortcode_atts( array(
        'active' => 'false',
        'title' => 'Tab title',
        'target' => 'tab_item'
    ), $atts );

    $class = ($a['active'] == "true") ? "active" : "";

    $tabs_nav_item = '<a class="tabs__nav-item ' . $class . '" href="#" data-target="#' . $a['target'] . '" role="tab">' . $a['title'] . '</a>';

    return $tabs_nav_item;
}
add_shortcode( 'webmac_tabs_nav_item', 'webmac_tabs_nav_item' );


function webmac_tabs_content($atts, $content) {
    $tabs_content = '<div class="tabs__content">' . do_shortcode($content) . '</div>';

    return $tabs_content;
}
add_shortcode( 'webmac_tabs_content', 'webmac_tabs_content' );


function webmac_tabs_item($atts, $content) {
    $a = shortcode_atts( array(
        'active' => 'false',
        'id' => 'tab_item'
    ), $atts );

    $class = ($a['active'] == "true") ? "active" : "";

    $tabs_item = '<div class="tabs__item ' . $class . '" id="' . $a['id'] . '" role="tabpanel" data-tabs-content>' . do_shortcode($content) . '</div>';

    return $tabs_item;
}
add_shortcode( 'webmac_tabs_item', 'webmac_tabs_item' );


// About info
function webmac_about_info( $atts, $content ) {
    $a = shortcode_atts( array(
        'photo' => 'http://placehold.it/150',
        'title' => 'Company Title',
        'copyright' => '&copy; Copyright ' . date('Y')
    ), $atts );

    ob_start();
    include(locate_template("windows_content/about_info.php"));
    return ob_get_clean();
}
add_shortcode( 'webmac_about_info', 'webmac_about_info' );



// Docs
function webmac_docs($atts, $content) {
    $docs = '<div class="docs" id="docs">' . do_shortcode($content) . '</div>';

    return $docs;
}
add_shortcode( 'webmac_docs', 'webmac_docs' );


function webmac_docs_item($atts, $content) {
    $a = shortcode_atts( array(
        'href' => '#link_to_file',
        'icon' => 'https://placehold.it/50',
        'title' => 'Document.pdf'
    ), $atts );

    $docs_item = '
    <a class="docs__item" href="' . $a['href'] . '" target="_blank">
        <img class="docs__icon" src="' . $a['icon'] . '" width="50" alt="">
        <span class="docs__text">' . $a['title'] . '</span>
    </a>';

    return $docs_item;
}
add_shortcode( 'webmac_docs_item', 'webmac_docs_item' );
