<?php
/**
 * The template for displaying page
 */
get_template_part( 'templates/head' );
?>

<div class="desktop">

    <!-- Header -->
    <?php include(locate_template("header.php")); ?>

    <div class="desktop__inner" id="desktop">

        <?php
            // Sidebar
            if($settings['sidebar'] == 1) { get_sidebar(); }
        ?>

        <!-- Windows -->
        <?php get_template_part( 'templates/windows' ); ?>

        <!-- Page Window -->
        <div class="window show active opened" id="window_page_<?php the_ID(); ?>">
            <div class="window__header">
                <div class="window__actions">
                    <a class="window__action  disabled" href="#"></a>
                    <a class="window__action  disabled" href="#"></a>
                    <a class="window__action  window__action--fullscreen" href="#" data-window="fullscreen"></a>
                </div>

                <div class="window__title"><?php the_title(); ?></div>
            </div>

            <div class="window__content">
                <h1><?php the_title(); ?></h1>
                <?php the_content(); ?>

                <?php // If comments are open or we have at least one comment, load up the comment template.
                if ( comments_open() || get_comments_number() ) {
                    comments_template();
                } ?>
            </div><!-- /.window__content -->
        </div><!-- /.window -->

        <!-- Dock -->
        <?php get_template_part( 'templates/dock' ); ?>

    </div><!-- /.desktop__inner -->
</div><!-- /.desktop -->

<?php include(locate_template('footer.php')); ?>
