<?php
/**
 * The template for displaying search page
 */
get_template_part( 'templates/head' );
?>

<div class="desktop">

    <!-- Header -->
    <?php include(locate_template("header.php")); ?>

    <div class="desktop__inner" id="desktop">

        <?php
            // Sidebar
            if($settings['sidebar'] == 1) { get_sidebar(); }
        ?>

        <!-- Windows -->
        <?php get_template_part( 'templates/windows' ); ?>

        <!-- Search Window -->
        <div class="window show active opened" id="window_search">
            <div class="window__header">
                <div class="window__actions">
                    <a class="window__action  disabled" href="#"></a>
                    <a class="window__action  disabled" href="#"></a>
                    <a class="window__action  window__action--fullscreen" href="#" data-window="fullscreen"></a>
                </div>

                <div class="window__title"><?php _e('Search Results', 'webmac' ); ?></div>
            </div>

            <div class="window__content">
                <h1><?php printf( __( 'Search Results for: %s', 'webmac' ), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h1>

                <?php if ( have_posts() ) : ?>
                    <div class="search">
                        <?php while ( have_posts() ) : the_post(); ?>
                            <div class="search__item">
                                <?php if ( has_post_thumbnail() ): ?>
                                <div class="search__thumb">
                                    <a href="<?php esc_url( the_permalink() ); ?>"><?php the_post_thumbnail(); ?></a>
                                </div>
                                <?php endif; ?>

                                <div class="search__content">
                                    <?php the_title( sprintf( '<h2 class="search__item-title"><a href="%s">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
                                    <div class="search__item-excerpt"><?php the_excerpt(); ?></div>
                                    <div class="search__cat">
                                        <?php
                                        if(get_the_category()) {
                                            _e('Category: ', 'webmac' );

                                            foreach(get_the_category() as $category) {
                                                echo $category->cat_name;
                                            }
                                        }
                                        ?>
                                    </div>
                                </div>
                            </div>
                        <?php endwhile; ?>
                    </div>
                <?php else: ?>
                <p><?php _e('Nothing was found', 'webmac' ); ?></p>
                <?php endif; ?>
            </div><!-- /.window__content -->
        </div><!-- /.window -->

        <!-- Dock -->
        <?php get_template_part( 'templates/dock' ); ?>

    </div><!-- /.desktop__inner -->
</div><!-- /.desktop -->

<?php include(locate_template('footer.php')); ?>
