<?php
/**
 * The template for displaying sidebar
 */

// Get 5 recent posts instead gallery posts
$args = array(
    'numberposts' => '5',
    'tax_query' => array(
        array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => 'post-format-gallery',
            'operator' => 'NOT IN'
        )
) );
$recent_posts = wp_get_recent_posts( $args );

// Theme options
$settings = get_option('webmac_settings');
?>

<div class="news" id="news">
    <div class="news__inner">

        <h3 class="news__title"><?php _e( 'Recent Posts', 'webmac' ); ?></h3>
        <?php if($recent_posts): ?>
            <?php foreach( $recent_posts as $recent ): ?>
            <div <?php post_class( 'news__item' ); ?>>
                <div class="news__header">
                    <a href="<?php echo get_permalink($recent["ID"]); ?>"><?php echo $recent["post_title"]; ?></a>
                </div>
                <div class="news__content">
                    <?php echo do_shortcode(wp_trim_words($recent["post_content"], 20, ' <a href="' . get_permalink($recent["ID"]) . '">Read more</a>')); ?>
                </div>
            </div>
            <?php endforeach; wp_reset_query(); ?>
        <?php else: ?>
            <p><?php _e('No posts', 'webmac' ); ?></p>
        <?php endif; ?>


        <?php if ( is_active_sidebar( 'sidebar' )  ) : ?>
            <aside id="secondary" class="sidebar widget-area">
                <?php dynamic_sidebar( 'sidebar' ); ?>
            </aside><!-- .sidebar .widget-area -->
        <?php endif; ?>


        <?php if($settings['twitter_username'] != ""): ?>
        <h3 class="news__title"><?php _e( 'Twitter feed', 'webmac' ); ?>
        </h3>
        <div class="news__item">
            <div class="news__header">
                <i class="fab fa-twitter"></i>
                <?php _e('Follow us on Twitter', 'webmac' ); ?>
            </div>
            <div class="news__content no-padding">
                <a class="twitter-timeline" data-height="350" href="https://twitter.com/<?php echo esc_html($settings['twitter_username']); ?>"></a>
                <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
            </div>
        </div>
        <?php endif; ?>

    </div><!-- /.news__inner -->
</div><!-- /.news -->
