<?php
// Get windows
global $wpdb;
$table_name = $wpdb->prefix . "webmac_windows";

$sql = 'SELECT * FROM ' . $table_name . ' WHERE status = 1';
$windows = $wpdb->get_results($sql);

if($windows):
    foreach($windows as $window):
        switch($window->size):
            case "0":
                $size = "";
            break;

            case "1":
                $size = "window--medium";
            break;

            case "2":
                $size = "window--large";
            break;
        endswitch;
        $fullscreen = ($window->fullscreen != 1) ? "disable-fullscreen" : "";
        $minimize = ($window->minimize != 1) ? "disable-minimize" : "";
        $resize = ($window->resize != 1) ? "disable-resize" : "";
        $centered = ($window->centered == 1) ? "centered" : "";

        $fullscreen_action_class = ($window->fullscreen == 0) ? "disabled" : "window__action--fullscreen";
        $fullscreen_action_data = ($window->fullscreen == 0) ? "" : 'data-window=fullscreen';

        $minimize_action_class = ($window->minimize == 0) ? "disabled" : "window__action--minimize";
        $minimize_action_data = ($window->minimize == 0) ? "" : 'data-window=minimize';

        $window_classes = $fullscreen . " " . $minimize . " " . $resize . " " . $centered . " " . $size;

        $windows_shortcodes = array("[webmac_contact_form]");
?>
        <div class="window <?php echo esc_html($window_classes); ?>" id="window_<?php echo esc_html($window->slug); ?>">
            <div class="window__header">
                <div class="window__actions">
                    <a class="window__action  window__action--close" href="#" data-window="close"></a>
                    <a class="window__action  <?php echo esc_html($minimize_action_class); ?>" href="#" <?php echo esc_html($minimize_action_data); ?> ></a>
                    <a class="window__action  <?php echo esc_html($fullscreen_action_class); ?>" href="#" <?php echo esc_html($fullscreen_action_data); ?> ></a>
                </div>

                <div class="window__title"><?php echo esc_html(stripslashes($window->title)); ?></div>
            </div>

            <div class="window__content">
                <?php echo do_shortcode(stripslashes($window->text)); ?>
            </div><!-- /.window__content -->
        </div><!-- /.window -->
    <?php endforeach;
endif; ?>
