<div class="container">
    <div class="window">

        <div class="window__header">
            <div class="window__title"><?php _e( 'WebMac Forms Data', 'webmac' ); ?></div>
        </div>

        <div class="window__content">
            <?php if($forms_data): ?>
            <table class="wp-list-table widefat striped">
                <thead>
                    <tr>
                        <th class="text-center" width="50">#</th>
                        <th width="220"><?php _e( 'From', 'webmac' ); ?></th>
                        <th width="120"><?php _e( 'Form', 'webmac' ); ?></th>
                        <th width="120"><?php _e( 'Status', 'webmac' ); ?></th>
                        <th><?php _e( 'Text', 'webmac' ); ?></th>
                        <th class="text-right"><?php _e( 'Actions', 'webmac' ); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach($forms_data as $key => $data): ?>
                    <?php
                        switch($data->type):
                            case "1":
                                $type = "Contact";
                            break;

                            case "2":
                                $type = "Request";
                            break;

                            case "3":
                                $type = "Review";
                            break;
                        endswitch;

                        switch($data->status):
                            case "0":
                                $status = "New";
                                $status_class = "new";
                            break;

                            case "1":
                                $status = "Processing";
                                $status_class = "processing";
                            break;

                            case "2":
                                $status = "Resolved";
                                $status_class = "resolved";
                            break;
                        endswitch;
                    ?>
                    <tr>
                        <td class="text-center" width="50"><?php echo ++$key; ?></td>
                        <td width="220">
                            <?php _e( 'E-mail:', 'webmac' ); ?> <b><?php echo $data->email; ?></b><br>
                            <?php _e( 'Date:', 'webmac' ); ?> <b><?php echo $data->date; ?></b>
                        </td>
                        <td width="120"><?php _e( $type, 'webmac' ); ?></td>
                        <td width="120"><span class="badge <?php echo $status_class; ?>"><?php echo _e( $status, 'webmac' ); ?></span></td>
                        <td><?php echo stripslashes(wp_trim_words($data->text, 30)); ?></td>
                        <td class="text-right">
                            <a href="admin.php?page=webmac_forms&view=<?php echo intval($data->id); ?>"><i class="fas fa-eye"></i></a>
                            <a href="admin.php?page=webmac_forms&del=<?php echo intval($data->id); ?>" onclick="return confirm('Delete this data?');"><i class="fas fa-trash"></i></a>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
            <?php if ( $page_links ) {
                echo '<div class="tablenav"><div class="tablenav-pages" style="margin: 1em 0;">' . $page_links . '</div></div>';
            } ?>
            <?php else: ?>
            <p><?php _e( 'No data', 'webmac' ); ?></p>
            <?php endif; ?>
        </div><!-- /.window__content -->

    </div><!-- /.window -->
</div><!-- /.container -->
