<?php
$from_name = get_bloginfo("name");
$admin_email = get_bloginfo("admin_email");

if(isset($_POST['reply_text']) && $_POST['reply_text'] != "") {
    $to = esc_html($data->email);
    $subject = "Answer from " . $from_name;

    $text = wp_filter_nohtml_kses(trim($_POST['reply_text']));

    $message = '<div>' . $text . '</div>
    <div>-------------</div>
    <div>Your message: ' . esc_html($data->text) . '</div>';

    $headers  = "Content-type: text/html; charset=utf-8 \r\n";
    $headers .= "From: " . $from_name . " <" . $admin_email . ">\r\n";

    if(wp_mail($to, $subject, $message, $headers)) {
        $message = "Message was sent!";
        $class = "success";
    } else {
        $message = "Something go wrong, try again later!";
        $class = "danger";
    }
}

switch($data->status):
    case "0":
        $status = "New";
        $status_class = "new";
    break;

    case "1":
        $status = "Processing";
        $status_class = "processing";
    break;

    case "2":
        $status = "Resolved";
        $status_class = "resolved";
    break;
endswitch;
?>

<div class="container">
    <div class="window">

        <div class="window__header">
            <div class="window__title"><?php _e( 'View Form Data', 'webmac' ); ?></div>
        </div>

        <div class="window__content">
            <div class="mt-2 mb-4 text-right">
                <a class="button button-secondary" href="admin.php?page=webmac_forms"><?php _e( 'To The List', 'webmac' ); ?></a>
            </div>

            <?php if(isset($message)): ?>
                <div class="alert <?php echo $class; ?>" role="alert"><?php echo $message;?></div>
            <?php endif; ?>

            <div class="row">
                <div class="col-7">
                    <div><span class="badge <?php echo $status_class; ?>"><?php _e( $status, 'webmac' ); ?></span></div>
                    <ul>
                        <li><b><?php _e( 'From:', 'webmac' ); ?></b> <?php echo esc_html($data->email); ?></li>

                        <?php if($data->name != ""): ?>
                        <li><b><?php _e( 'Name:', 'webmac' ); ?></b> <?php echo esc_html(stripslashes($data->name)); ?></li>
                        <?php endif; ?>

                        <?php if($data->tel != ""): ?>
                        <li><b><?php _e( 'Phone:', 'webmac' ); ?></b> <?php echo esc_html($data->tel); ?></li>
                        <?php endif; ?>

                        <?php if($data->rating != 0): ?>
                        <li><b><?php _e( 'Rating:', 'webmac' ); ?></b> <?php echo esc_html($data->rating); ?></li>
                        <?php endif; ?>

                        <li><b><?php _e( 'Text:', 'webmac' ); ?></b> <div><?php echo esc_html(stripslashes($data->text)); ?></div></li>
                    </ul>
                    <hr>
                    <form action="" method="post">
                        <div class="row">
                            <div class="col-5">
                                <div class="form-group">
                                    <label class="d-inline-block mb-3" for="request_status"><b><?php _e( 'Change status', 'webmac' ); ?></b></label>
                                    <select class="form-control" name="request_status" id="request_status">
                                        <option value="0" <?php if($data->status == 0) { echo "selected"; } ?> ><?php _e( 'New', 'webmac' ); ?></option>
                                        <option value="1"<?php if($data->status == 1) { echo "selected"; } ?>><?php _e( 'Processing', 'webmac' ); ?></option>
                                        <option value="2"<?php if($data->status == 2) { echo "selected"; } ?>><?php _e( 'Resolved', 'webmac' ); ?></option>
                                    </select>
                                </div>
                                <button class="button button-primary" type="submit"><?php _e( 'Save', 'webmac' ); ?></button>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="col-5">
                    <form action="" method="post">
                        <div class="form-group">
                            <label class="d-inline-block mb-3" for="reply_text"><b><?php _e( 'Reply to this email', 'webmac' ); ?></b></label>
                            <textarea class="form-control" name="reply_text" id="reply_text" style="height:200px;" placeholder="<?php _e( 'Type your answer here...', 'webmac' ); ?>" required></textarea>
                        </div>
                        <button class="button button-primary" type="submit"><?php _e( 'Send email', 'webmac' ); ?></button>
                    </form>
                </div>
            </div>
        </div><!-- /.window__content -->

    </div><!-- /.window -->
</div><!-- /.container -->
