<div class="container">
    <div class="window">

        <div class="window__header">
            <div class="window__title"><?php _e( 'Social Links', 'webmac' ); ?></div>
        </div>

        <div class="window__content">
            <?php if(isset($error_msg)): ?>
                <div class="alert danger" role="alert"><?php _e( $error_msg, 'webmac' ); ?></div>
            <?php endif; ?>

            <div class="row">
                <div class="col-8">
                    <h3 class="mb-3  mt-3"><?php _e( 'Added Links', 'webmac' ); ?></h3>
                    <?php if($social): ?>
                    <table class="wp-list-table widefat striped mb-5">
                        <thead>
                            <tr>
                                <th class="text-center" width="50"><?php _e( 'Icon', 'webmac' ); ?></th>
                                <th><?php _e( 'Link', 'webmac' ); ?></th>
                                <th class="text-right"><?php _e( 'Actions', 'webmac' ); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach($social as $soc): ?>
                            <tr>
                                <td class="text-center"><i class="<?php echo esc_html($soc->icon); ?>"></i></td>
                                <td><?php echo esc_url($soc->url); ?></td>
                                <td class="text-right">
                                    <a href="admin.php?page=webmac_social&del=<?php echo intval($soc->id); ?>" onclick="return confirm('Delete this window?');"><i class="fas fa-trash"></i></a>
                                </td>
                            </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                    <?php endif; ?>
                </div>

                <div class="col-4">
                    <form action="" method="post">
                        <h3 class="mb-3  mt-3"><?php _e( 'Add New', 'webmac' ); ?></h3>
                        <div class="form-group">
                            <label for="social_url"><?php _e( 'Choose Social', 'webmac' ); ?></label>
                            <select class="form-control" name="social_icon">
                                <option value="fab fa-behance-square">Behance</option>
                                <option value="fab fa-bitbucket">Bitbucket</option>
                                <option value="fab fa-blogger-b">BloggerB</option>
                                <option value="fab fa-codepen">Codepen</option>
                                <option value="fab fa-dribbble">Dribbble</option>
                                <option value="fab fa-facebook-f">Facebook</option>
                                <option value="fab fa-flickr">Flickr</option>
                                <option value="fab fa-google-plus-g">Google+</option>
                                <option value="fab fa-github">Github</option>
                                <option value="fab fa-instagram">Instagram</option>
                                <option value="fab fa-linkedin">LinkedIn</option>
                                <option value="fab fa-medium">Medium</option>
                                <option value="fab fa-odnoklassniki">Odnoklassniki</option>
                                <option value="fab fa-pinterest">Pinterest</option>
                                <option value="fab fa-reddit">Reddit</option>
                                <option value="fab fa-skype">Skype</option>
                                <option value="fab fa-slack">Slack</option>
                                <option value="fab fa-snapchat">Snapchat</option>
                                <option value="fab fa-soundcloud">Soundcloud</option>
                                <option value="fab fa-steam">Steam</option>
                                <option value="fab fa-telegram-plane">Telegram</option>
                                <option value="fab fa-tripadvisor">TripAdvisor</option>
                                <option value="fab fa-tumblr">Tumblr</option>
                                <option value="fab fa-twitch">Twitch</option>
                                <option value="fab fa-twitter">Twitter</option>
                                <option value="fab fa-viber">Viber</option>
                                <option value="fab fa-vimeo">Vimeo</option>
                                <option value="fab fa-vine">Vine</option>
                                <option value="fab fa-vk">VK</option>
                                <option value="fab fa-whatsapp">WhatsApp</option>
                                <option value="fab fa-youtube">Youtube</option>
                                <option value="fas fa-link">Custom link</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="social_url"><?php _e( 'Social URL', 'webmac' ); ?></label>
                            <input class="form-control" type="url" name="social_url" id="social_url" placeholder="<?php _e( 'Enter link', 'webmac' ); ?>">
                        </div>
                        <div class="form-group">
                            <button class="button button-primary" name="add_social" value="add" type="submit"><?php _e( 'Add Social', 'webmac' ); ?></button>
                        </div>
                    </form>
                </div>
            </div><!-- /.row -->
        </div><!-- /.window__content -->

    </div><!-- /.window -->
</div><!-- /.container -->
