<div class="container">
    <div class="window">

        <div class="window__header">
            <div class="window__title"><?php _e( 'Edit Window', 'webmac' ); ?> - <?php echo esc_html($window_info->title); ?></div>
        </div>

        <div class="container">
            <div class="mt-2 mb-4 text-right">
                <a class="button button-secondary" href="admin.php?page=webmac_windows_list"><?php _e( 'To The List', 'webmac' ); ?></a>
            </div>
        </div>

        <div class="container">
            <?php if(isset($error_msg)): ?>
                <div class="alert danger" role="alert"><?php _e( $error_msg, 'webmac' );?></div>
            <?php endif; ?>

            <form action="" method="post" enctype="multipart/form-data">
                <div class="row">
                    <div class="col-8">
                        <div class="form-group">
                            <label for="window_title"><?php _e( 'Window Title', 'webmac' ); ?></label>
                            <input class="form-control" type="text" name="window_title" id="window_title" value="<?php echo esc_html(stripslashes($window_info->title)); ?>" placeholder="Enter window title">
                            <small class="form-text text-muted"><?php _e( 'Unique ID:', 'webmac' ); ?> <?php echo esc_html(stripslashes($window_info->slug)); ?></small>
                        </div>
                        <input type="hidden" name="window_slug" id="window_slug" value="<?php echo esc_html(stripslashes($window_info->slug)); ?>">
                        <div class="row">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="window_size"><?php _e( 'Window Size', 'webmac' ); ?></label>
                                    <select class="form-control" name="window_size" id="window_size">
                                        <option value="0" <?php echo $size = ($window_info->size == 0) ? "selected" : "" ?> ><?php _e( 'Default', 'webmac' ); ?></option>
                                        <option value="1" <?php echo $size = ($window_info->size == 1) ? "selected" : "" ?> ><?php _e( 'Small', 'webmac' ); ?></option>
                                        <option value="2" <?php echo $size = ($window_info->size == 2) ? "selected" : "" ?> ><?php _e( 'Large', 'webmac' ); ?></option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="window_order"><?php _e( 'Window Order in Dock', 'webmac' ); ?></label>
                                    <input class="form-control" type="text" name="window_order" id="window_order" placeholder="10" value="<?php echo intval($window_info->order_id); ?>">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="window_text"><?php _e( 'Window Text', 'webmac' ); ?></label>
                            <?php wp_editor(stripslashes($window_info->text), 'window_text', $settings = array(
                                'editor_height' => '300px',
                                'wpautop' => false
                            )); ?>
                        </div>
                    </div>
                    <div class="col-4">
                        <div class="form-group">
                            <div class="image-wrapper chosen" id="upload-btn">
                                <div id="image_wrapper">
                                    <img src="<?php echo esc_url($window_info->icon); ?>" alt="">
                                </div>
                                <div class="image-wrapper__text"><?php _e( 'Upload/Choose Window icon', 'webmac' ); ?></div>
                            </div>
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="window_fullscreen" id="window_fullscreen" <?php echo $fullscreen = ($window_info->fullscreen == 1) ? "checked" : "" ?> >
                            <label for="window_fullscreen"><?php _e( 'Allow Fullscreen', 'webmac' ); ?></label>
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="window_minimize" id="window_minimize" <?php echo $minimize = ($window_info->minimize == 1) ? "checked" : "" ?> >
                            <label for="window_minimize"><?php _e( 'Allow Minimize', 'webmac' ); ?></label>
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="window_resize" id="window_resize"  <?php echo $resize = ($window_info->resize == 1) ? "checked" : "" ?> >
                            <label for="window_resize"><?php _e( 'Allow Resize', 'webmac' ); ?></label>
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="window_centered" id="window_centered"  <?php echo $centered = ($window_info->centered == 1) ? "checked" : "" ?> >
                            <label for="window_centered"><?php _e( 'Centered', 'webmac' ); ?></label>
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="window_show_in_dock" id="window_show_in_dock" <?php echo $checked = ($window_info->show_in_dock == 1) ? "checked" : "" ?>>
                            <label for="window_show_in_dock"><?php _e( 'Show in Dock', 'webmac' ); ?></label>
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="window_show_in_help" id="window_show_in_help" <?php echo $checked = ($window_info->show_in_help == 1) ? "checked" : "" ?>>
                            <label for="window_show_in_help"><?php _e( 'Show in Help', 'webmac' ); ?></label>
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="window_status" id="window_status" <?php echo $checked = ($window_info->status == 1) ? "checked" : "" ?>>
                            <label for="window_status"><?php _e( 'Active', 'webmac' ); ?></label>
                        </div>
                        <div class="form-group">
                            <input type="hidden" name="window_icon" value="<?php echo esc_url($window_info->icon); ?>" id="window_icon">
                            <button class="button button-primary" name="save_window" value="save" type="submit"><?php _e( 'Save changes', 'webmac' ); ?></button>
                        </div>
                    </div>
                </div>
            </form>
        </div><!-- /.container -->

    </div><!-- /.window -->
</div><!-- /.container -->


<script type="text/javascript">
$(document).ready(function($){
    $('#upload-btn').click(function(e) {
        e.preventDefault();
        var image = wp.media({
            title: 'Upload Image',
            multiple: false
        }).open()
        .on('select', function(e){
            var uploaded_image = image.state().get('selection').first();
            var image_url = uploaded_image.toJSON().url;
            var image_type = uploaded_image.toJSON().type;

            if(image_type != "image") {
                alert("Please choose image!");
            } else {
                var img = $("<img alt=''>").attr("src", image_url);

                $('#window_icon').val(image_url);
                $('#image_wrapper').empty().append(img);
            }
        });
    });
});
</script>
