<div class="container">
    <div class="window">

        <div class="window__header">
            <div class="window__title"><?php _e( 'Windows List', 'webmac' ); ?></div>
        </div>

        <div class="window__content">
            <div class="mt-2 mb-4 text-right">
                <a class="button button-primary" href="admin.php?page=webmac_windows_add"><?php _e( 'Add New Window', 'webmac' ); ?></a>
            </div>

            <table class="wp-list-table widefat striped">
                <thead>
                    <tr>
                        <th width="50"><?php _e( 'Icon', 'webmac' ); ?></th>
                        <th><?php _e( 'Window Title', 'webmac' ); ?></th>
                        <th class="text-right"><?php _e( 'Options', 'webmac' ); ?></th>
                        <th class="text-right"><?php _e( 'Show in', 'webmac' ); ?></th>
                        <th class="text-right"><?php _e( 'Status', 'webmac' ); ?></th>
                        <th class="text-right"><?php _e( 'Actions', 'webmac' ); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach($windows as $window): ?>
                    <tr>
                        <td width="50"><img src="<?php echo esc_url($window->icon); ?>" width="30" alt="<?php echo esc_html($window->title); ?>"></td>
                        <td><?php echo esc_html(stripslashes($window->title)); ?></td>
                        <td class="text-right">
                            <?php echo $fullscreen = ($window->fullscreen == 1) ? "Fullscreen" : ""; ?>
                            <?php echo $minimize = ($window->minimize == 1) ? "Minimize" : ""; ?>
                            <?php echo $resize = ($window->resize == 1) ? "Resize" : ""; ?>
                            <?php echo $centered = ($window->centered == 1) ? "Centered" : ""; ?>
                        </td>
                        <td class="text-right">
                            <?php echo $dock = ($window->show_in_dock == 1) ? "Dock" : ""; ?>
                            <?php echo $help = ($window->show_in_help == 1) ? "Help" : ""; ?>
                            <?php echo $not_show = ($dock == "" && $help== "") ? "Nowhere" : ""; ?>
                        </td>
                        <td class="text-right"><?php echo $status = ($window->status == 1) ? "<b>Active</b>" : "<b>Disabled</b>"; ?></td>
                        <td class="text-right">
                            <a href="admin.php?page=webmac_windows_list&edit=<?php echo intval($window->id); ?>"><i class="fas fa-edit"></i></a>

                            <?php if($window->allow_delete == 1): ?>
                            <a href="admin.php?page=webmac_windows_list&del=<?php echo intval($window->id); ?>" onclick="return confirm('Delete this window?');"><i class="fas fa-trash"></i></a>
                            <?php endif; ?>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>

        </div><!-- /.window__content -->

    </div><!-- /.window -->
</div><!-- /.container -->
